import React, { useState } from 'react';
import { Steps, Button } from '@arco-design/web-react';
import { Col, Space, Row, Tooltip } from 'antd';
import { register, empty } from '../../../../assets/images'
import { Form, Select, Empty } from '@arco-design/web-react';
import { question1, } from '@/assets/images';

const Option = Select.Option;
const FormItem = Form.Item;


const Handle = () => {
    const [current, setCurrent] = useState(3);
    const Step = Steps.Step;

    return (
        <>
            <div className='steps'>
                <Steps type='navigation' current={current} onChange={setCurrent} style={{}}>
                    <Step title='来访登记' disabled />
                    <Step title='事件流转' disabled />
                    <Step title='办理反馈' disabled />
                    <Step title='结案审核' disabled />
                    <Step title='当事人评价' disabled />
                    <Step title='结案归档' disabled />
                </Steps>
            </div>
            <div className='container'>
                <div className='container-top'>
                    <Col span={24}>
                        <Space size='small'>
                            <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h5>当事人信息</h5>
                        </Space>
                    </Col>
                    <Row gutter={[16, 16]}>
                        <Col span={8} style={{ display: 'flex' }}>
                            <div><div className="title-text">承办部门：</div></div>
                            <div>天河区棠下街综治中心</div>
                        </Col>
                        <Col span={8} style={{ display: 'flex' }}>
                            <div><div className="title-text">经办人：</div></div>
                            <div style={{ display: 'flex' }}>
                                <div>王一顺</div>
                                <img src={register} alt='' style={{ width: '14px', height: '14px', marginLeft: '8px', marginTop: '4px' }} />
                            </div>
                        </Col>
                        <Col span={8} style={{ display: 'flex' }}>
                            <div><div className="title-text">配合部门：</div></div>
                            <div>-</div>
                        </Col>
                        <Col span={8} style={{ display: 'flex' }}>
                            <div><div className="title-text">受理时间：</div></div>
                            <div>2024-7-5 11:45</div>
                        </Col>
                    </Row>

                </div>

                <div className='container-bottom'>
                    <div className='container-bottom-left'>
                        <Col span={24} style={{ marginBottom: '8px' }}>
                            <Space size='small'>
                                <div className='MediationInfo-subTitle' style={{ marginTop: '-9px' }}></div><h5>办理反馈</h5>
                            </Space>
                        </Col>
                        <Form
                            layout='vertical'
                            requiredSymbol={false}
                            scrollToFirstError={true}
                        >
                            <Row>
                                <Col span={8}>
                                    <FormItem label={<div style={{ display: 'flex' }}>
                                        <span style={{ color: '#86909C' }}>经办人</span>
                                        <Tooltip>
                                            <img src={question1} alt="" style={{ width: '13px', height: '13px', margin: '4px 4px 0px 4px' }} />
                                        </Tooltip>
                                    </div>
                                    }
                                        field='level' >
                                        <Select placeholder='请选择' allowClear>
                                            {['一级', '二级', '三级', '四级'].map((option, index) => (
                                                <Option key={option} value={option}>
                                                    {option}
                                                </Option>
                                            ))}

                                        </Select>
                                        <Button type='primary' style={{ position: 'absolute', right: 0 }}>保存</Button>
                                    </FormItem>
                                </Col>
                                <Col span={24}>
                                    <div style={{ color: 'rgb(134, 144, 156)' }}>办理记录</div>
                                    <Empty
                                        icon={
                                            <div
                                                style={{
                                                    display: 'flex',
                                                    // width: 160,
                                                    justifyContent: 'center',
                                                }}
                                            >
                                                <img src={empty} alt='' style={{width:'160px',height:'160px'}}/>
                                            </div>
                                        }
                                        description='暂无数据'
                                    />
                                </Col>
                            </Row>
                        </Form>
                        <Space>
                            <Button type="primary" style={{ backgroundColor: '#1A6FB8' }}>保存</Button>
                            <Button type='outline' style={{ color: '#1A6FB8', border: '1px solid #1A6FB8' }} >预览</Button>
                            <Button type='outline' style={{ color: '#1A6FB8', border: '1px solid #1A6FB8' }}>提交</Button>
                            <Button type='outline' style={{ color: '#1A6FB8', border: '1px solid #1A6FB8' }} >自行受理</Button>
                            <Button type='secondary'>返回上级页面</Button>
                        </Space>
                    </div>
                    <div className='container-bottom-right'>22</div>
                </div>
            </div>
        </>
    )

}

export default Handle;